Bug 18335 - Check in: Make patron info in hold messages obey syspref AddressFormat
Summary: Check in: Make patron info in hold messages obey syspref AddressFormat
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-26 15:24 UTC by Marc Véron
Modified: 2017-05-10 09:59 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18335 - Check in: Make patron info in hold messages obey syspref AddressFormat (9.05 KB, patch)
2017-03-26 15:31 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18335 - Check in: Make patron info in hold messages obey syspref AddressFormat (9.12 KB, patch)
2017-04-18 14:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18335 - Check in: Make patron info in hold messages obey syspref AddressFormat (9.18 KB, patch)
2017-04-18 19:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-03-26 15:24:31 UTC
When checking in, information about patrons with a hold always display in an US style. Address information should opey the system preference AddressFormat

To reproduce:
- Set syspref AddressFormat to German style
- Check out an item to a patron A
- Put a hold on this item for patron B
- Check in item using the Check in field in page header
- Result: In message 'Hold found', address does not display in German style
Comment 1 Marc Véron 2017-03-26 15:31:43 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2017-03-26 15:37:12 UTC
To test with French address style you need to apply Bug 18110
Comment 3 Owen Leonard 2017-04-18 14:38:21 UTC
Created attachment 62297 [details] [review]
[SIGNED-OFF] Bug 18335 - Check in: Make patron info in hold messages obey syspref AddressFormat

When checking in, information about patrons with a hold always display
in an US style. Address information should opey the system preference
AddressFormat

To reproduce:
- Set syspref AddressFormat to German style
- Check out an item to a patron A
- Put a hold on this item for patron B
- Check in item using the Check in field in page header
- Result: In message 'Hold found', address does not display in German
  style

To test:
- Apply patch
- Repeat steps above
- Verify that address displays as expected

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Jonathan Druart 2017-04-18 19:55:27 UTC
Created attachment 62334 [details] [review]
Bug 18335 - Check in: Make patron info in hold messages obey syspref AddressFormat

When checking in, information about patrons with a hold always display
in an US style. Address information should opey the system preference
AddressFormat

To reproduce:
- Set syspref AddressFormat to German style
- Check out an item to a patron A
- Put a hold on this item for patron B
- Check in item using the Check in field in page header
- Result: In message 'Hold found', address does not display in German
  style

To test:
- Apply patch
- Repeat steps above
- Verify that address displays as expected

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2017-04-21 14:47:34 UTC
Pushed to master for 17.05, thanks Marc!
Comment 6 Katrin Fischer 2017-04-21 22:48:56 UTC
This patch has been pushed to 16.11.x and will be in 16.11.07.
Comment 7 Mason James 2017-05-03 04:41:18 UTC
Pushed to 16.05.x, for 16.05.12 release
Comment 8 Julian Maurice 2017-05-10 09:59:08 UTC
Pushed to 3.22.x for 3.22.21